Update Unit
Update Unit.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
unit_id
ID of the Unit.
Request
This endpoint expects an object.
aliases
Alternative abbreviations for this unit, e.g. alternate symbols.
archiveReason
archived
name
The long-form name, e.g. “milliliter”.
symbol
The short-form label, e.g. “mL”.
Response
OK
__typename
aliases
Any additional short-form labels that should be recognized in input
archiveReason
archived
conversionFactor
Conversion factor relative to the UnitType's baseUnit. E.g. for a kilometer, the baseUnit is meter
and the conversionFactor is 1000.
createdAt
id
modifiedAt
name
Default long-form identifier, e.g. “meter”.
symbol
Default short-form label, e.g. “m” for meter.
unitType
The unit type this unit belongs to. Units within the same UnitType are inter-convertible.
Errors
400
Unit Update Request Bad Request Error
403
Unit Update Request Forbidden Error
404
Unit Update Request Not Found Error
409
Unit Update Request Conflict Error
429
Unit Update Request Too Many Requests Error
500
Unit Update Request Internal Server Error